settings:
  - SoilScount: # name of the fetcher module, e.g., Demo
      name: "Soil Scount"
      provider: "cz.senslog.connector.fetch.soilscount.ConnectorFetchSoilscountProvider"

      startDate: "2024-11-10T00:00:00"
      period: 1  # period in hours

#      OpenAPI Spec for login: https://www.soilscouts.fi/api/v1/
#      OpenAPI Spec for measurements: https://www.soilscouts.fi/api/v2/

      authUrl: "https://www.soilscouts.fi/api/v1/auth/login//" # keep the // (cos the bad implementation of the resource-side)
      refreshUrl: "https://www.soilscouts.fi/api/v1/auth/token/refresh//" # keep the //
      devicesUrl: "https://www.soilscouts.fi/api/v1/devices/"
      measurementsUrl: "https://www.soilscouts.fi/api/v2/measurements/"

      auth:
        "username": "mkepka@kgm.zcu.cz"
        "password": "Asense2023"

      allowedDevices: [28779, 28780, 28781, 28782, 28783, 28784, 28785, 28786]

  - SenslogV1:
      name: "Senslog V1"
      provider: "cz.senslog.connector.push.rest.senslog.v1.SenslogV1ConnectorPushProvider"
      baseUrl: "https://sensor.lesprojekt.cz/senslog15"
      auth:
        username: "watchdog"
        password: "HAFhaf"

connectors:
  - SoilScountSenslogV1:
      fetcher: "SoilScount"
      pusher: "SenslogV1"
      period: 1200          # 86_400 = 24h
#      startAt: "02:30:00" # hh:mm:ss  # non-mandatory attribute
      initDelay: 5        # non-mandatory attribute